Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::FontButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::FontButton. More...

`#include <xfc/gtk/fontbuttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::FontButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_font_set ()
    Called when the user selects a font.

## Protected Member Functions

Constructors

- FontButtonSignals (FontButton *font_button)
    Construct a new FontButtonSignals object.
- virtual ~FontButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::FontButton.

## Constructor & Destructor Documentation

Xfc::Gtk::FontButtonSignals::FontButtonSignals | ( | FontButton * | font_button | ) | `[protected]`

Construct a new FontButtonSignals object.

Parameters:

  | font_button | A FontButton object inheriting the FontButtonSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::FontButtonSignals::on_font_set | ( |  | ) | `[virtual]`

| Called when the user selects a font. When handling this signal, use get_font_name() to find out which font was just selected.

The documentation for this class was generated from the following file:

- fontbuttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3